"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var adapters_android_1 = require("../adapters.android");
describe('iOS filter tests', function () {
    test('filterTextProps works', function () {
        expect(adapters_android_1.filterTextProps('foo')).toBeFalsy();
        expect(adapters_android_1.filterTextProps('children')).toBeTruthy();
        expect(adapters_android_1.filterTextProps('style')).toBeTruthy();
        expect(adapters_android_1.filterTextProps('accessible')).toBeTruthy();
        expect(adapters_android_1.filterTextProps('selectable')).toBeTruthy();
    });
    test('filterViewProps works', function () {
        expect(adapters_android_1.filterViewProps('foo')).toBeFalsy();
        expect(adapters_android_1.filterViewProps('children')).toBeTruthy();
        expect(adapters_android_1.filterViewProps('style')).toBeTruthy();
        expect(adapters_android_1.filterViewProps('accessible')).toBeTruthy();
        expect(adapters_android_1.filterViewProps('animationClass')).toBeFalsy();
        expect(adapters_android_1.filterViewProps('shouldRasterizeIOS')).toBeFalsy();
        expect(adapters_android_1.filterViewProps('renderToHardwareTextureAndroid')).toBeTruthy();
    });
    test('filterImageProps works', function () {
        expect(adapters_android_1.filterImageProps('foo')).toBeFalsy();
        expect(adapters_android_1.filterImageProps('children')).toBeTruthy();
        expect(adapters_android_1.filterImageProps('style')).toBeTruthy();
        expect(adapters_android_1.filterImageProps('accessible')).toBeTruthy();
    });
});
//# sourceMappingURL=android.test.js.map